<?php

$data = x_wdes()->wdes_array_merge([
    'title' => '',
    'desc' => '',
    'img'  => '',
    'android_url' => '',
    'apple_url' => '',
    'windows_url' => ''
],$data);
?>

<div class="container">
	<div class="row">
		<div class="app">
			<div class="app-title">
				<?php if($data['title']): ?>
					<h2><?php echo esc_html($data['title']); ?></h2>
				<?php endif; ?>

				<?php if($data['desc']): ?>
					<p><?php echo esc_html($data['desc']); ?></p>
				<?php endif; ?>
			</div>
			<div class="app-btns">
				<?php if($data['android_url']['url']): ?>
					<!-- GooglePlay -->
					<div class="app-block">
						<!-- Icon -->
						<span class="fab fa-android ap-so"></span>
						<!-- Title & Download -->
						<div class="downl">
							<h3><?php esc_html_e('Download on', 'phox'); ?></h3>
							<a class="play-s" href="<?php echo esc_url($data['android_url']['url']); ?>">Google Play</a>
						</div>
					</div>
				<?php endif; ?>
				<?php if($data['apple_url']['url']): ?>
					<!-- AppleStore -->
					<div class="app-block">
						<!-- Icon -->
						<span class="fab fa-apple ap-so"></span>
						<!-- Title & Download -->
						<div class="downl">
							<h3><?php esc_html_e('Download on', 'phox'); ?></h3>
							<a class="apple-s" href="<?php echo esc_url($data['apple_url']['url']); ?>"><?php esc_html_e('Apple Store', 'phox'); ?></a>
						</div>
					</div>
				<?php endif; ?>
				<?php if($data['windows_url']['url']): ?>
					<!-- WindowsStore -->
					<div class="app-block">
						<!-- Icon -->
						<span class="fab fa-windows ap-so"></span>
						<!-- Title & Download -->
						<div class="downl">
							<h3><?php esc_html_e('Download on', 'phox'); ?></h3>
							<a class="windows-s" href="<?php echo esc_url($data['windows_url']['url']); ?>"><?php esc_html_e('Windows Store', 'phox'); ?></a>
						</div>
					</div>
				<?php endif; ?>
			</div>
			<!-- App -->
			<?php if($data['img']['url']): ?>
				<img src="<?php echo esc_url($data['img']['url']); ?>" alt="<?php esc_attr_e('App Image', 'phox'); ?>" class="app-mob">
			<?php endif; ?>
		</div>
	</div>
</div>
