<?php
/**
 * App
 */

namespace Elementor;

if(! defined('ABSPATH') ) exit; //Exit if accessed directly

class WDES_Elementor_APP extends Widget_Base
{
    public function get_name(){
        return 'wdes-app-widget';
    }

    public function get_title(){
        return esc_html__('Mobile App', 'phox');
    }

    public function get_icon(){
        return 'eicon-device-mobile';
    }

    public function get_categories(){
        return ['phox-elements'];
    }

	public function show_in_panel(){
		return false;
	}

    protected function register_controls(){

        $this->start_controls_section(
            'the_app_controls',
            ['label' => esc_html__('App', 'phox'), ]
        );


        $this->add_control(
            'the_title',
            [
                'label' => esc_html__('Title', 'phox'),
                'type'  => Controls_Manager::TEXT,
                'default'   => esc_html__('Title', 'phox')
            ]
        );

        $this->add_control(
            'the_desc',
            [
                'label' => esc_html__('Description', 'phox'),
                'type'  => Controls_Manager::TEXTAREA,

            ]
        );

        $this->add_control(
            'the_img',
            [
                'label' => esc_html__('Image', 'phox'),
                'type'  => Controls_Manager::MEDIA,

            ]
        );

        $this->add_control(
            'the_android_url',
            [
                'label' => esc_html__('Android URL App', 'phox'),
                'type'  => Controls_Manager::URL,

            ]
        );

        $this->add_control(
            'the_apple_url',
            [
                'label' => esc_html__('Apple URL App', 'phox'),
                'type'  => Controls_Manager::URL,

            ]
        );
        $this->add_control(
            'the_windows_url',
            [
                'label' => esc_html__('Windows URL App', 'phox'),
                'type'  => Controls_Manager::URL,

            ]
        );

        $this->end_controls_section();

    }

    protected function render ($instance = []){

        x_wdes()->wdes_get_widget_block('app',[
            'title' => $this->get_settings('the_title'),
            'desc' => $this->get_settings('the_desc'),
            'img' => $this->get_settings('the_img'),
            'android_url' => $this->get_settings('the_android_url'),
            'apple_url' => $this->get_settings('the_apple_url'),
            'windows_url' => $this->get_settings('the_windows_url'),
        ]);
    }

    protected function content_template(){}
    public function render_plain_content(){}
}

Plugin::instance()->widgets_manager->register_widget_type(new WDES_Elementor_APP);
